/*
 *   LADCCA
 *    
 *   Copyright (C) 2002 Robert Ham (node@users.sourceforge.net)
 *    
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __LADCCAD_CLIENT_EVENT_H__
#define __LADCCAD_CLIENT_EVENT_H__

#include <ladcca/ladcca.h>

#include "server.h"
#include "server_event.h"
#include "client.h"
#include "project.h"

void server_cca_event_client_name      (project_t * project, client_t * client, const char * name);
void server_cca_event_jack_client_name (server_t * server, client_t * client, const char * name);
void server_cca_event_alsa_client_id   (server_t * server, project_t * project, client_t * client, const char * string);
void server_cca_event_restore_data_set (server_t * server, project_t * project, client_t * client);
void server_cca_event_save_data_set    (client_t * client);
void server_cca_event_save             (server_t * server, project_t * project, client_t * client);

void server_cca_event_project          (server_t * server, project_t * project, client_t * client, const char * name);
void server_cca_event_project_dir      (server_t * server, project_t * project, client_t * client, const char * dir);
void server_cca_event_project_name     (server_t * server, project_t * project, client_t * client, const char * name);
void server_cca_event_projects         (server_t * server, client_t * client);
void server_cca_event_restore  	       (server_t * server, const char * dir);

#endif /* __LADCCAD_CLIENT_EVENT_H__ */
